/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2010  Rico Rommel

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef ADDRESSEETYPES_H
#define ADDRESSEETYPES_H

#include <QString>
#include <QMap>

namespace AddresseeTypes {

enum Types {
  Ignore = 0,
  AdditionalName,
  Birthday,
  Custom,
  Categories,
  Department,
  EMail,
  FamilyName,
  FormattedName,
  Geo,
  GivenName,
  Logo,
  Mailer,
  Name,
  NickName,
  Note,
  Organization,
  Photo,
  Prefix,
  Role,
  Sound,
  Suffix,
  Timezone,
  Title,
  Url,
  CountryDom,
  StreetDom,
  CityDom,
  PostalCodeDom,
  PostofficeBoxDom,
  RegionDom,
  CountryIntl,
  StreetIntl,
  CityIntl,
  PostalCodeIntl,
  PostofficeBoxIntl,
  RegionIntl,
  CountryPostal,
  StreetPostal,
  CityPostal,
  PostalCodePostal,
  PostofficeBoxPostal,
  RegionPostal,
  CountryParcel,
  StreetParcel,
  CityParcel,
  PostalCodeParcel,
  PostofficeBoxParcel,
  RegionParcel,
  CountryHome,
  StreetHome,
  CityHome,
  PostalCodeHome,
  PostofficeBoxHome,
  RegionHome,
  CountryWork,
  StreetWork,
  CityWork,
  PostalCodeWork,
  PostofficeBoxWork,
  RegionWork,
  PhoneHome,
  PhoneWork,
  PhoneMsg,
  PhoneVoice,
  PhoneFax,
  PhoneCell,
  PhoneVideo,
  PhoneBps,
  PhoneModem,
  PhoneCar,
  PhoneIsdn,
  PhonePcs,
  PhonePager,
 
};

Q_DECLARE_FLAGS( Type, Types )

};

struct dbsettings {
    QString host;
    QString user;
    QString password;
    QString database;
    QString driver;
    QString table;
    int port;
    bool savepassword;
    QMap<QString, AddresseeTypes::Types> map;
    bool autogenerate;
    QString primary;
    bool readonly;
    QString resourcename;
};


struct typeattributes {
  QString Text;
  QString DBType;
};

#endif // INPUTDIALOG_H
